import request from '@/utils/request'

// 查询数据列表
export function getModelList(query) {
  return request({
    url: '/admin/wf_approvalmodel/listpage',
    method: 'get',
    params: query
  })
}

// 查询单条
export function getModel(params) {
  return request({
    url: '/admin/wf_approvalmodel/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addModel(data) {
  return request({
    url: '/admin/wf_approvalmodel/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateModel(data) {
  return request({
    url: '/admin/wf_approvalmodel/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delModel(id) {
  return request({
    url: `/admin/wf_approvalmodel/del?approvalmodelid=${id}`,
    method: 'delete'
  })
}

export function getAllUser() {
  return request({
    url: '/admin/users/alluser',
    method: 'get'
  })
}
