import request from '@/utils/request'

// 查询数据列表
export function getPropertyList(query) {
  return request({
    url: '/admin/propertytab/listpage',
    method: 'get',
    params: query
  })
}

// 查询单条
export function getProperty(params) {
  return request({
    url: '/admin/propertytab/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addProperty(data) {
  return request({
    url: '/admin/propertytab/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateProperty(data) {
  return request({
    url: '/admin/propertytab/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delProperty(cid, id) {
  return request({
    url: `/admin/propertytab/del?cid=${cid}&propertyid=${id}`,
    method: 'delete'
  })
}

// 获取资产类型定义数据
export function getPropertytypetab (query) {
	return request({
		url: '/admin/propertytypetab/selectarr',
		method: 'get',
		params: query
	})
}