import request from '@/utils/request'

// 查询数据列表
export function getCompanyList(query) {
  return request({
    url: '/admin/company/listpage',
    method: 'get',
    params: query
  })
}

// 查询单条
export function getCompany(params) {
  return request({
    url: '/admin/company/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addCompany(data) {
  return request({
    url: '/admin/company/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateCompany(data) {
  return request({
    url: '/admin/company/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delCompany(id, nr) {
  return request({
    url: `/admin/company/del?cid=${id}&cnr=${nr}`,
    method: 'delete'
  })
}
