import request from '@/utils/request'

// 查询数据列表
export function getSubjectList(query) {
  return request({
    url: '/admin/subject/listpage',
    method: 'get',
    params: query
  })
}

// 查询单条
export function getSubject(params) {
  return request({
    url: '/admin/subject/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addSubject(data) {
  return request({
    url: '/admin/subject/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateSubject(data) {
  return request({
    url: '/admin/subject/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delSubject(id, subjectid) {
  return request({
    url: `/admin/subject/del?cid=${id}&subjectid=${subjectid}`,
    method: 'delete'
  })
}
// 获取问题类型
export function getCategoryArray() {
  return request({
    url: '/admin/subject_category/selectarr',
    method: 'get'
  })
}
// 上传图片/视频
export function addMedia(data) {
  return request({
    url: '/admin/subject/media',
    method: 'post',
    data: data
  })
}
