import request from '@/utils/request'

// 查询数据列表
export function getCategoryList(query) {
  return request({
    url: '/admin/subject_category/listpage',
    method: 'get',
    params: query
  })
}

// 查询单条
export function getCategory(params) {
  return request({
    url: '/admin/subject_category/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addCategory(data) {
  return request({
    url: '/admin/subject_category/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateCategory(data) {
  return request({
    url: '/admin/subject_category/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delCategory(id, nr) {
  return request({
    url: `/admin/subject_category/del?cid=${id}&subject_categoryid=${nr}`,
    method: 'delete'
  })
}
