import request from '@/utils/request'

// 查询数据列表
export function getSurveyList(query) {
  return request({
    url: '/admin/c_surveysheet/listpage',
    method: 'get',
    params: query
  })
}

// 查询单条
export function getSurvey(params) {
  return request({
    url: '/admin/c_surveysheet/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addSurvey(data) {
  return request({
    url: '/admin/c_surveysheet/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateSurvey(data) {
  return request({
    url: '/admin/c_surveysheet/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delSurvey(id, cnr, surveysheetid) {
  return request({
    url: `/admin/c_surveysheet/del?cid=${id}&cnr=${cnr}&surveysheetid=${surveysheetid}`,
    method: 'delete'
  })
}

export function commitAnswer(data) {
  return request({
    url: '/admin/c_surveysheet_result/addinfo',
    method: 'post',
    data: data
  })
}
